/*
 * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */
package jpatp.bulk;

import javax.persistence.EntityManager;
import javax.persistence.Persistence;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Query;


/**
 * @author Marina Vatkina
 */
public class Client {

    private static EntityManagerFactory emf;
    private static EntityManager em;

    public static void main(String[] args) {

        // Create EntityManagerFactory for PersistentUnit named "em1"
        emf = Persistence.createEntityManagerFactory("em1");
        em = emf.createEntityManager(); 

        EntityTransaction tx = em.getTransaction(); 

        tx.begin();
        em.persist(new Person(1, "Sam", "McGee")); 
        tx.commit();

        tx.begin();
        Query q = em.createQuery("DELETE FROM Person p"); 
        q.executeUpdate(); 
        tx.commit(); 
        
       
        tx.begin();
		System.out.println(" Merge new Object ");
        em.merge(new Person(1, "Sam", "McGee")); 
        tx.commit(); 

    }



}
